For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETList Customer Form Field Values
                • PUTUpsert Customer Form Field Values
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Form Field Values

List Customer Form Field Values

GET
https://api.bigcommerce.com/stores/:store_hash/v3/customers/form-field-values
GET
/stores/:store_hash/v3/customers/form-field-values
$curl https://api.bigcommerce.com/stores/store_hash/v3/customers/form-field-values \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "name": "preferred_contact_method",
5 "value": "email",
6 "customer_id": 12345
7 }
8 ],
9 "meta": {
10 "pagination": {
11 "total": 1,
12 "count": 1,
13 "per_page": 1,
14 "current_page": 1,
15 "total_pages": 1,
16 "links": {
17 "previous": null,
18 "current": "https://api.bigcommerce.com/stores/abc123/v3/customers/form-field-values?page=1&limit=1",
19 "next": null
20 }
21 },
22 "cursor_pagination": {
23 "count": 1,
24 "per_page": 1,
25 "start_cursor": "eyJjdXN0b21lcl9pZCI6MTIzNDV9",
26 "end_cursor": "eyJjdXN0b21lcl9pZCI6MTIzNDV9",
27 "links": {
28 "previous": null,
29 "current": "https://api.bigcommerce.com/stores/abc123/v3/customers/form-field-values?after=eyJjdXN0b21lcl9pZCI6MTIzNDV9",
30 "next": null
31 }
32 }
33 }
34}
Returns a list of form field values for the Customer or Customer Address object. To learn about adding and managing form fields, see [Adding and Editing Fields in the Account Signup Form](https://support.bigcommerce.com/s/article/Editing-Form-Fields).
Was this page helpful?
Previous

Update Customer Consent

Next

Upsert Customer Form Field Values

Built with

Returns a list of form field values for the Customer or Customer Address object.

To learn about adding and managing form fields, see Adding and Editing Fields in the Account Signup Form.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional

Page number (page will be ignored if you provide before or after in the request). For example page=1.

limitdoubleOptional

Items count per page. limit=50

customer_idintegerOptional
Filter by the customer ID.
address_idintegerOptional
Filter by the ID of the customer address.
field_namestringOptional
Filter by the field name.
field_typeenumOptional
Filter by the field type. * `checkboxes` - checkboxes field * `date` - date field * `multiline` - multiline text field * `numbers` - numbers only field * `password` - password field * `radiobuttons` - radio buttons field * `text` - text field * `picklist` - pick list field
afterstringOptional
The cursor reference of the last entry for the previous page. Use the `end_cursor` value from the last response to get the next page (`end_cursor` is only returned on the first page or when the request contains query parameter `before` or `after`). For example `after=eyJzZXNzaW9uSWQiOjM4LCJmaWVsZElkIjo0MH0`.
beforestringOptional
The cursor reference of the first entry for the next page. Use the `start_cursor` value from the last response to get the previous page (`start_cursor` is only returned on the first page or when the request contains query parameter `before` or `after`). For example `before=eyJzZXNzaW9uSWQiOjgsImZpZWxkSWQiOjMxfQ`.

Response

datalist of objects
metaobject

Data about the response, including pagination and collection totals. Both pagination and cursor_pagination would be returned in the first page. Only pagination would be returned when page is greater than 1. Only cursor_pagination would be returned when before or after is provided in the request.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Filter by the field type.

  • checkboxes - checkboxes field
  • date - date field
  • multiline - multiline text field
  • numbers - numbers only field
  • password - password field
  • radiobuttons - radio buttons field
  • text - text field
  • picklist - pick list field

The cursor reference of the last entry for the previous page. Use the end_cursor value from the last response to get the next page (end_cursor is only returned on the first page or when the request contains query parameter before or after). For example after=eyJzZXNzaW9uSWQiOjM4LCJmaWVsZElkIjo0MH0.

The cursor reference of the first entry for the next page. Use the start_cursor value from the last response to get the previous page (start_cursor is only returned on the first page or when the request contains query parameter before or after). For example before=eyJzZXNzaW9uSWQiOjgsImZpZWxkSWQiOjMxfQ.